:root {
    --color1: #7E7E7E;
    --color2: #253D4E;
    --color3: #3BB77E;
}

.sect-about {
    padding-top: 30px;
}

.about--section {
    display: flex;
    justify-content: center;
    margin-left: 15%;
    margin-right: 15%;
    margin-top: 4%;
}

.about--chapter {
    max-height: 600px;
    margin-left: 5%;
    margin-top: 5%;
}

.about--img {
    width: 700px;
    height: 600px;
}

.about--text {
    color: var(--color1);
    /* Застосування кольору */
    max-height: 275px;
    /* Обмеження максимальної висоти */
    min-width: 400px;
    /* Мінімальна ширина */
    max-width: 600px;
    /* Обмеження максимальної ширини */
    overflow-y: auto;
    /* Додає вертикальний скролл у випадку перевищення текстом меж */
    overflow-x: hidden;
    /* Приховує горизонтальний скролл */
}

.about--title {
    color: var(--color2);
}

.about--img__2 {
    width: 90%;
    display: flex;
    justify-content: center;
    margin-left: 5%;
    margin-top: 5%;
    margin-bottom: 5%;
}

.about--images {
    width: 30%;
    margin-left: 2%;
    margin-top: 15%;
}

.about--section__2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    width: 80%;
    margin: 0 auto;
}

.card {
    padding: 5%;
    text-align: center;
    width: 90%;

    &--title {
        color: var(--color2);
    }

    &--text {
        color: var(--color1);
    }

    &--link {
        color: var(--color3);
        text-decoration: none;
    }
}

.about--section__3 {
    display: flex;
    margin: 10% 10% 0 10%;
}

.section3--conteiner {
    margin-left: 5%;
    margin-top: 5%;

    &__2 {
        display: flex;
        margin: 7%;
    }
}

.section3--title {
    color: var(--color1);
    font-size: 20px;

    &__2 {
        color: var(--color2);
        font-size: 50px;
    }
}

.section3--text {
    color: var(--color1);

    &__2 {
        color: var(--color1);
        margin-top: 8%;
    }
}

.conteiner2--block {
    margin-left: 5%;
    margin-right: 5%;
}

.block--title {
    color: var(--color2);
}

.block--text {
    color: var(--color1);
}

.main--img {
    max-width: 90%;
    margin: 5%;
}

.sect-data-static {
    background-image: url('https://res.cloudinary.com/dre55ftmq/image/upload/v1721853263/static_vfdjek.png');
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 315px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border-radius: 15px;
    overflow: hidden;
    margin-bottom: 10%;
    margin-top: 5%;

    &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(75, 103, 90, 0.5);
        z-index: 1;
    }

    &__list {
        display: flex;
        gap: 20px;
        z-index: 2;
        position: relative;
        justify-content: space-evenly;
        width: 100%;
    }

    &_item {
        margin-left: 80px;
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: -55px;
    }

    &__num {
        font-size: 72px;
        font-weight: 700;
        font-family: Quicksand, sans-serif;
        color: #FFFFFF;
        line-height: 1.2;
        margin-bottom: 0;
    }

    &__text {
        font-size: 24px;
        font-family: Quicksand, sans-serif;
        font-weight: 700;
        color: #FFFFFF;
        margin-top: 0;
    }
}

/* Tablet */
@media (max-width: 1024px) {
    .about--section {
        flex-direction: column;
        align-items: center;
        margin-left: 5%;
        margin-right: 5%;
        margin-top: 2%;
    }

    .about--img {
        width: 100%;
        height: auto;
    }

    .about--chapter {
        margin-left: 0;
        margin-top: 3%;
        text-align: center;
    }

    .about--section__2 {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
    }

    .about--section__3 {
        flex-direction: column;
        margin: 5% 5% 0 5%;
    }

    .section3--conteiner {
        margin-left: 0;
        margin-top: 3%;
    }

    .section3--conteiner__2 {
        flex-direction: column;
        margin: 5%;
    }

    .section3--title {
        font-size: 18px;
    }

    .section3--title__2 {
        font-size: 40px;
    }

    .section3--text__2 {
        margin-top: 5%;
    }
}

/* Mobile */
@media (max-width: 768px) {
    .about--section {
        flex-direction: column;
        align-items: center;
        margin-left: 2%;
        margin-right: 2%;
        margin-top: 2%;
    }

    .about--img {
        width: 100%;
        height: auto;
    }

    .about--chapter {
        margin-left: 0;
        margin-top: 3%;
        text-align: center;
    }

    .about--section__2 {
        grid-template-columns: 1fr;
        gap: 10px;
    }

    .about--section__3 {
        flex-direction: column;
        margin: 5% 5% 0 5%;
    }

    .section3--conteiner {
        margin-left: 0;
        margin-top: 3%;
    }

    .section3--conteiner__2 {
        flex-direction: column;
        margin: 3%;
    }

    .section3--title {
        font-size: 16px;
    }

    .section3--title__2 {
        font-size: 30px;
    }

    .section3--text__2 {
        margin-top: 3%;
    }
}